--[[
##########################################################
Inked! by: keivamp
##########################################################
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local addon, ns = ... 
local addonName, addon = ...
if (UnitLevel("player") == 60) then return end
local MyXPWidth = 350
local MyXPHeight = 15
local XPX = -230
local XPY = -10



local XPframe = CreateFrame("Frame", nil, UIParent)
--XPframe:SetSize(450, 20)
local MyXPSettingsFrame = CreateFrame("Frame")
local function XPMe()
	XPX = Inked.db.char.XPX
	XPY = Inked.db.char.XPY
	MyXPWidth = Inked.db.char.XPW
	MyXPHeight = Inked.db.char.XPH
--print(MyXPWidth)
	XPframe:SetHeight(MyXPHeight)
	XPframe:SetWidth(MyXPWidth)

		XPframe:ClearAllPoints()
		XPframe:SetPoint("TOP", UIParent, "TOP", XPX,XPY)

	
end	
MyXPSettingsFrame:HookScript("OnUpdate",XPMe) 


XPframe:EnableMouse(true)
local function CreateBackdrop(frame)
   frame:SetBackdrop({bgFile = "Interface\\Buttons\\WHITE8x8",
        insets = {top = -2, left = -2, bottom = -2, right = -2}})
		frame:SetBackdropColor(0,0,0,0.75)
		frame:SetBackdropBorderColor(0,0,0,1)
end

XPframe.bar = CreateFrame("StatusBar", nil, XPframe)
XPframe.bar:SetFrameLevel(2)
XPframe.bar:SetPoint("TOPLEFT", 0, 0)
XPframe.bar:SetPoint("TOPRIGHT", 0, 0)



XPframe.barR = CreateFrame("StatusBar", nil, XPframe)
XPframe.barR:SetFrameLevel(1)
XPframe.barR:SetPoint("TOPLEFT", 0, 0)
XPframe.barR:SetPoint("TOPRIGHT", 0, 0)

	local XPText = XPframe.bar:CreateFontString(nil, "OVERLAY", "SystemFont_Shadow_Huge3")
			XPText:SetPoint("LEFT", 0, 0)
			
			XPText:SetWidth(MyXPWidth/3)
			XPText:SetJustifyH("LEFT")
		
	local XPMaxText = XPframe.bar:CreateFontString(nil, "OVERLAY", "SystemFont_Shadow_Huge3")
			XPMaxText:SetPoint("RIGHT", 0, 0)
			
			XPMaxText:SetWidth(MyXPWidth/3)
			XPMaxText:SetJustifyH("RIGHT")
	local XPRestedText = XPframe.bar:CreateFontString(nil, "OVERLAY", "SystemFont_Shadow_Huge3")
			XPRestedText:SetPoint("CENTER", 0, 0)
			
			XPRestedText:SetWidth(MyXPWidth)
			XPRestedText:SetJustifyH("CENTER")

local function DatabaseCheck()
if Inked.db.char.UseXPBar == false then return end
CreateBackdrop(XPframe)
XPframe.bar:SetHeight(MyXPHeight-1)
XPframe.barR:SetHeight(MyXPHeight-1)
XPframe.bar:SetStatusBarTexture("Interface\\Addons\\Inked\\Textures\\Unit Frames\\DEFAULT_Status")
XPframe.bar:GetStatusBarTexture():SetHorizTile(false)
XPframe.bar:GetStatusBarTexture():SetVertTile(false)
XPframe.bar:SetStatusBarColor(.41,.60,.95)
XPframe.barR:SetStatusBarTexture("Interface\\Addons\\Inked\\Textures\\Unit Frames\\DEFAULT_Status")
XPframe.barR:GetStatusBarTexture():SetHorizTile(false)
XPframe.barR:GetStatusBarTexture():SetVertTile(false)
XPframe.barR:SetStatusBarColor(.6,.2,.8,1)
XPText:SetFont("Interface\\Addons\\Inked\\Fonts\\Dialog.TTF", MyXPHeight-4, "OUTLINE")
XPMaxText:SetFont("Interface\\Addons\\Inked\\Fonts\\Dialog.TTF", MyXPHeight-4, "OUTLINE")
XPRestedText:SetFont("Interface\\Addons\\Inked\\Fonts\\Dialog.TTF", MyXPHeight-4, "OUTLINE")
end
		local DB_Check_Frame = CreateFrame("Frame")
		DB_Check_Frame:HookScript("OnUpdate", DatabaseCheck)


local function UpdateXP()
if Inked.db.char.UseXPBar == false then return end
		XPframe.bar:SetMinMaxValues(0, UnitXPMax("player"))
		XPframe.bar:SetValue(UnitXP("player"))
		
		local rested = GetXPExhaustion()
		if rested ~= nil then		
		local restedPerc = math.floor(rested / UnitXPMax("player") * 100 + 0.5)
		XPText:SetText(UnitXP("player"))
		XPMaxText:SetText(UnitXPMax("player"))
		XPRestedText:SetText(restedPerc.."% Rested")
		--print(rested)
		XPframe.barR:SetMinMaxValues(0, UnitXPMax("player"))
		XPframe.barR:SetValue(UnitXP("player")+rested)
		--XPframe.barR:SetValue(rested-UnitXP("player"))
		end
		if rested == nil then
		XPText:SetText(UnitXP("player"))
		XPMaxText:SetText(UnitXPMax("player"))
		XPRestedText:SetText("")
		XPframe.barR:SetStatusBarColor(0,0,0,0)
		end
		--OnEvent()
		
end
	local function OnEvent(self)
			
		self:SetScript("OnEnter", function()
			if Inked.db.char.UseXPBar == false then return end
				local rested = GetXPExhaustion()
			
			GameTooltip:SetOwner(self, "ANCHOR_BOTTOM", 0, -10)
			GameTooltip:ClearAllPoints()
			GameTooltip:SetPoint("BOTTOM", self, "TOP", 0, 1)
			GameTooltip:ClearLines()
	
			--GameTooltip:AddLine(" ")
			GameTooltip:AddDoubleLine("Experience")
			GameTooltip:AddLine(" ")
			GameTooltip:AddDoubleLine(UnitXP("player") .. "  /  " .. UnitXPMax("player"))
			if rested ~= nil then		
				local restedPerc = math.floor(rested / UnitXPMax("player") * 100 + 0.5)
				GameTooltip:AddLine(" ")
				GameTooltip:AddDoubleLine(restedPerc .. "% : Rested XP")
			end
			GameTooltip:Show()
		end)
		
		self:SetScript("OnLeave", function() GameTooltip:Hide() end)
		end

		XPframe:SetScript("OnEvent", OnEvent)
		XPframe:HookScript("OnUpdate", OnEvent)
		
		XPframe.UpdateFrame = CreateFrame("Frame", nil, UIParent);

XPframe.UpdateFrame:HookScript("OnUpdate", UpdateXP)