local addon, ns = ...
local addonName, addon = ...

local Inked=CreateFrame("Frame")
Inked:RegisterEvent("PLAYER_LOGIN")
Inked:SetScript("OnEvent", function(self, event)
 if InkedCharDB.UseActionBars == false then return end


local size = 38
local spacing = 5


local holder = CreateFrame("Frame", "MainMenuBarHolderFrame", UIParent, "SecureHandlerStateTemplate")
holder:SetSize(size * 12 + spacing * 11, size)
holder:SetPoint("BOTTOM", UIParent, 0, 22)
holder:RegisterEvent("PLAYER_LOGIN")
holder:RegisterEvent("PLAYER_ENTERING_WORLD")

ActionButton1:ClearAllPoints()
ActionButton1:SetPoint("BOTTOMLEFT", holder, 0, 0)

MultiBarBottomLeftButton1:ClearAllPoints()
MultiBarBottomLeftButton1:SetPoint("BOTTOMLEFT", ActionButton1, "TOPLEFT", 0, 5)

MultiBarBottomRightButton1:ClearAllPoints()
MultiBarBottomRightButton1:SetPoint("BOTTOMLEFT", MultiBarBottomLeftButton1, "TOPLEFT", 0, 6)

MultiBarBottomRightButton7:ClearAllPoints()
MultiBarBottomRightButton7:SetPoint("BOTTOMLEFT", MultiBarBottomLeftButton7, "TOPLEFT", 0, 6)

MultiBarLeftButton1:ClearAllPoints()
MultiBarLeftButton1:SetPoint("TOPLEFT", MultiBarRightButton1, "TOPLEFT", -43, 0)

MultiBarRightButton1:ClearAllPoints()
MultiBarRightButton1:SetPoint("RIGHT", UIParent, "RIGHT", -2, 150)

PetActionButton1:ClearAllPoints()
PetActionButton1:SetPoint("BOTTOMLEFT", MultiBarBottomRightButton1, "TOPLEFT", 25, 15)
PetActionBarFrame:SetFrameStrata("HIGH")

StanceButton1:ClearAllPoints()
StanceButton1:SetPoint("BOTTOMLEFT", MultiBarBottomRightButton1, "TOPLEFT", 25, 15)


--PossessButton1:ClearAllPoints()
--PossessButton1:SetPoint("BOTTOMLEFT", MultiBarBottomRightButton1, "TOPLEFT", 25, 30)
local ThisTexture = ("")
		if  UnitClass("player") == "Paladin" then
			ThisTexture =("Interface\\Addons\\"..addonName.."\\Textures\\Action Bars\\PaladinBTN")
		end
		if  UnitClass("player") == "Death Knight" then
			ThisTexture =("Interface\\Addons\\"..addonName.."\\Textures\\Action Bars\\DeathKnightBTN")
		end
		if  UnitClass("player") == "Demon Hunter" then
			ThisTexture =("Interface\\Addons\\"..addonName.."\\Textures\\Action Bars\\DemonHunterBTN")
		end
		if  UnitClass("player") == "Druid" then
			ThisTexture =("Interface\\Addons\\"..addonName.."\\Textures\\Action Bars\\DruidBTN")
		end
		if  UnitClass("player") == "Hunter" then
			ThisTexture =("Interface\\Addons\\"..addonName.."\\Textures\\Action Bars\\HunterBTN")
		end
		if  UnitClass("player") == "Mage" then
			ThisTexture =("Interface\\Addons\\"..addonName.."\\Textures\\Action Bars\\MageBTN")
		end
		if  UnitClass("player") == "Rogue" then
			ThisTexture =("Interface\\Addons\\"..addonName.."\\Textures\\Action Bars\\RogueBTN")
		end
		if  UnitClass("player") == "Shaman" then
			ThisTexture =("Interface\\Addons\\"..addonName.."\\Textures\\Action Bars\\ShamanBTN")
		end
		if  UnitClass("player") == "Warlock" then
			ThisTexture =("Interface\\Addons\\"..addonName.."\\Textures\\Action Bars\\WarlockBTN")
		end
		if  UnitClass("player") == "Monk" then
			ThisTexture =("Interface\\Addons\\"..addonName.."\\Textures\\Action Bars\\MonkBTN")
		end
		if  UnitClass("player") == "Warrior" then
			ThisTexture =("Interface\\Addons\\"..addonName.."\\Textures\\Action Bars\\WarriorBTN")
		end
		if  UnitClass("player") == "Priest" then
			ThisTexture =("Interface\\Addons\\"..addonName.."\\Textures\\Action Bars\\PriestBTN")
		end

for i = 1, NUM_ACTIONBAR_BUTTONS do
	local ab = _G["ActionButton" .. i]
	local mbbl = _G["MultiBarBottomLeftButton" .. i]
	local mbbr = _G["MultiBarBottomRightButton" .. i]
	local mbl = _G["MultiBarLeftButton" .. i]
	local mbr = _G["MultiBarRightButton" .. i]
	local pab = _G["PetActionButton" .. i]
	local mcab = _G["MultiCastActionButton" .. i]
	--local pb = _G["PossessButton" .. i]
	
	ab:SetAttribute("showgrid", 1)
	ab.NormalTexture:SetTexture(ThisTexture)
	ab.NormalTexture:SetAllPoints()
	ab:SetHighlightTexture("Interface\\AddOns\\"..addonName.."\\Textures\\Action Bars\\highlight")
	ab:SetPushedTexture("Interface\\AddOns\\"..addonName.."\\Textures\\Action Bars\\pushed")
	ab:Show()
	ab:SetAlpha(1)
	ab:SetSize(size, size)
	
	

	mbbl:SetAttribute("showgrid", 1)
	mbbl.NormalTexture:SetTexture(ThisTexture)
	mbbl.NormalTexture:SetAllPoints()
	mbbl:SetHighlightTexture("Interface\\AddOns\\"..addonName.."\\Textures\\Action Bars\\highlight")
	mbbl:SetPushedTexture("Interface\\AddOns\\"..addonName.."\\Textures\\Action Bars\\pushed")
	mbbl:Show()
	mbbl:SetAlpha(1)
	mbbl:SetSize(size, size)

	mbbr:SetAttribute("showgrid", 1)
	mbbr.NormalTexture:SetTexture(ThisTexture)
	mbbr.NormalTexture:SetAllPoints()
	mbbr:SetHighlightTexture("Interface\\AddOns\\"..addonName.."\\Textures\\Action Bars\\highlight")
	mbbr:SetPushedTexture("Interface\\AddOns\\"..addonName.."\\Textures\\Action Bars\\pushed")
	mbbr:Show()
	mbbr:SetAlpha(1)
	mbbr:SetSize(size, size)

	mbl:SetAttribute("showgrid", 1)
	mbl.NormalTexture:SetTexture(ThisTexture)
	mbl.NormalTexture:SetAllPoints()
	mbl:SetHighlightTexture("Interface\\AddOns\\"..addonName.."\\Textures\\Action Bars\\highlight")
	mbl:SetPushedTexture("Interface\\AddOns\\"..addonName.."\\Textures\\Action Bars\\pushed")
	mbl:Show()
	mbl:SetAlpha(1)
	mbl:SetSize(size, size)

	mbr:SetAttribute("showgrid", 1)
	mbr.NormalTexture:SetTexture(ThisTexture)
	mbr.NormalTexture:SetAllPoints()
	mbr:SetHighlightTexture("Interface\\AddOns\\"..addonName.."\\Textures\\Action Bars\\highlight")
	mbr:SetPushedTexture("Interface\\AddOns\\"..addonName.."\\Textures\\Action Bars\\pushed")
	mbr:Show()
	mbr:SetAlpha(1)
	mbr:SetSize(size, size)

end

end)