--[[
##########################################################
Inked! by: keivamp
##########################################################
]]--
local Inked = LibStub("AceAddon-3.0"):NewAddon("Inked", "AceEvent-3.0", "LibAboutPanel-2.0", "AceConsole-3.0")
local Dialog = LibStub("AceConfigDialog-3.0")

local db
local defaults = {
    char = {      
		AutoVender = true,
		AutoRepair = true,
		CAS = true,
		Sil = true,
		SAL = true,
		iQL = true,
		AK = true,
		AfK = true,
		TidyM = true,
		iMM = true,
		iMMSize = 250,
		Gold = true,
		GoldTextSize = 16,
		GoldX = -285,
		GoldY = 5,
		Durabilty = true,
		DurabiltyTextSize = 16,
		DurabiltyX = -5,
		DurabiltyY = 5,
		UF1 = false,
		UF2 = true,
		UF3 = false,
		UF4 = false,
		SwingTimer = true,
		MapLive = false,
		GoldLive = false,
		DurabiltyLive = false,
		iMMX = -25,
		iMMY = -25,
		PlayerAuraIcons = true,
		InkedFloatingCombatText = true,
		DruidManaBar = true,
		PlayerFrameLiveEdit = false,
		PlayerFrameHeight = 65,
		PlayerFrameWidth = 200,
		UseXPBar = true,
		XPW = 250,
		XPH = 15,
		XPX = -250,
		XPY = -10,
		UsePetXPBar = true,
		PetXPW = 250,
		PetXPH = 15,
		PetXPX = -250,
		PetXPY = -35,
		UseRepBar = true,
		RepW = 250,
		RepH = 15,
		RepX = 250,
		RepY = -10,
		UseAutoRep = true,
		ShowBags = true,
		BagsScale = 1,
		BagsX = -5,
		BagsY = 35,
		ShowMicro = true,
		MicroScale = 1,
		MicroX = 20,
		MicroY = -20,
		RangeIndicator = true,
		--UseActionBars = true,
    }
}
function Inked:OnInitialize()
    self.db = LibStub("AceDB-3.0"):New("InkedChar", defaults,true)
    self.db.RegisterCallback(self, "OnProfileChanged", "RefreshConfig")
    self.db.RegisterCallback(self, "OnProfileCopied", "RefreshConfig")
    self.db.RegisterCallback(self, "OnProfileReset", "RefreshConfig")
    self:SetEnabledState(self.db.char.enabled)
    db = self.db.char

    local Options = self:GetOptions() -- Options.lua
	--Options.args.profiles = LibStub("AceDBOptions-3.0"):GetOptionsTable(self.db)

    Options.args.aboutTab = self:AboutOptionsTable("Inked")
    Options.args.aboutTab.order = -1 -- -1 means "put it last"

    LibStub("AceConfig-3.0"):RegisterOptionsTable("Inked", Options)
 self.optionsFrame = Dialog:AddToBlizOptions("Inked", "Inked")
	db = self.db.char
	db.MapLive = false
	db.GoldLive = false
	db.DurabiltyLive = false
	db.PlayerFrameLiveEdit = false
end
function Inked:RefreshConfig()
    db = self.db.char
	Inked.db.char.profile = self.db.profile

	db.MapLive = false
	db.GoldLive = false
   db.DurabiltyLive = false
   db.PlayerFrameLiveEdit = false
end

function Inked:OnEnable()
 db = self.db.char
 db.MapLive = false
 db.GoldLive = false
 db.DurabiltyLive = false
 db.PlayerFrameLiveEdit = false
end

function Inked:OnDisable()

end
		SLASH_Inked1 = "/cfg"
		SLASH_Inked2 = "/ink"
		SLASH_Inked3 = "/inked"
		_G.SlashCmdList.RELOADUI = ReloadUI
		SLASH_RELOADUI1 = "/rl"
		SLASH_RELOADUI2 = "/reload"
		SLASH_RELOADUI3 = "/reloadui"
	SlashCmdList["Inked"] = function() 
    InterfaceOptionsFrame_OpenToCategory("Inked")
	InterfaceOptionsFrame_OpenToCategory("Inked")
	InterfaceOptionsFrame_OpenToCategory("Inked")
end

---Game Menu Button --
		--GameMenuButtonHelp:Hide()
		local frame = CreateFrame("Button","UIPanelButtonTemplateTest",
		GameMenuFrame, "UIPanelButtonTemplate")
		frame:SetHeight(20)
		frame:SetWidth(145)
		frame:SetText("Inked")
		frame:ClearAllPoints()
		frame:SetPoint("TOP", 0, -50)
		frame:RegisterForClicks("AnyUp")
		frame:SetScript("OnClick", function()
		InterfaceOptionsFrame_OpenToCategory("Inked")
		InterfaceOptionsFrame_OpenToCategory("Inked")
		InterfaceOptionsFrame_OpenToCategory("Inked")
		--ReloadFrame()
		end )

