--[[
##########################################################
Inked! by: keivamp
##########################################################
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local addon, ns = ... 
local C, F, G = unpack(ns)
local panel = CreateFrame("Frame", nil, UIParent)

local GoldX = -285
local GoldY = 5

local SILVER_AMOUNT_TEXTURE = "\124TInterface\\MoneyFrame\\UI-SilverIcon:%d:%d:1:0\124t";
local GOLD_AMOUNT_TEXTURE = "\124TInterface\\MoneyFrame\\UI-GoldIcon:%d:%d:1:0\124t";
local COPPER_AMOUNT_TEXTURE = "\124TInterface\\MoneyFrame\\UI-CopperIcon:%d:%d:1:0\124t";
local GoldIcon = format(GOLD_AMOUNT_TEXTURE)
local SilverIcon = format(SILVER_AMOUNT_TEXTURE)
local CopperIcon = format(COPPER_AMOUNT_TEXTURE)

	local Stat = CreateFrame("Frame","Gold")
	Stat:EnableMouse(true)
	Stat:SetFrameStrata("BACKGROUND")
	Stat:SetFrameLevel(3)

	local Text  = panel:CreateFontString(nil, "OVERLAY")
	Text:SetFont("Interface\\Addons\\Inked\\Fonts\\Dialog.TTF", 18, "OUTLINE")
	Text:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT", -285,5); 

	
	local CheckDB = CreateFrame("Frame")
		CheckDB:RegisterEvent("PLAYER_ENTERING_WORLD")
		CheckDB:SetScript("OnEvent", function()
		
		GoldX = Inked.db.char.GoldX
		GoldY = Inked.db.char.GoldY
		Text:SetFont("Interface\\Addons\\Inked\\Fonts\\Dialog.TTF", Inked.db.char.GoldTextSize, "OUTLINE")
		Text:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT", GoldX,GoldY);
		
				
	end)
		local function DatabaseCheck()
		if Inked.db.char.GoldLive == true then
			GoldX = Inked.db.char.GoldX
		GoldY = Inked.db.char.GoldY
		Text:SetFont("Interface\\Addons\\Inked\\Fonts\\Dialog.TTF", Inked.db.char.GoldTextSize, "OUTLINE")
		Text:SetPoint("BOTTOMRIGHT",UIParent,"BOTTOMRIGHT", GoldX,GoldY);
		end
	end
local DB_Check_Frame = CreateFrame("Frame")	
DB_Check_Frame:HookScript("OnUpdate", DatabaseCheck)
	

	local Profit	= 0
	local Spent		= 0
	local OldMoney	= 0

	local function formatMoney(money)
		local gold = floor(math.abs(money) / 10000)
		local silver = mod(floor(math.abs(money) / 100), 100)
		local copper = mod(floor(math.abs(money)), 100)
		if gold ~= 0 then
			return format("%s"..GoldIcon.." %s"..SilverIcon.." %s"..CopperIcon, gold, silver, copper)
		elseif silver ~= 0 then
			return format("%s"..SilverIcon.." %s"..CopperIcon, silver, copper)
		else
			return format("%s"..CopperIcon, copper)
		end
	end
	
	local function formatTextMoney(money)
		if Inked.db.char.Gold == false then return end
	
		local gold = floor(math.abs(money) / 10000)
		local silver = mod(floor(math.abs(money) / 100), 100)
		local copper = mod(floor(math.abs(money)), 100)
		if gold ~= 0 then
			return format("%s"..GoldIcon.." %s"..SilverIcon.." %s"..CopperIcon, gold, silver, copper)
		elseif silver ~= 0 then
			return format("%s"..SilverIcon.." %s"..CopperIcon, silver, copper)
		else
			return format("%s"..CopperIcon, copper)
		end
	
	
		--return format("%.0f|cffffd700%s|r", formatMoney(OldMoney),GOLD_AMOUNT_SYMBOL)
		--return format("%.0f|cffffd700%s|r", money * 0.0001, GOLD_AMOUNT_SYMBOL)
	end

	local function FormatTooltipMoney(money)
		local gold, silver, copper = abs(money / 10000), abs(mod(money / 100, 100)), abs(mod(money, 100))
		local cash = ""
		cash = format("%d"..GoldIcon.." %d"..SilverIcon.." %d"..CopperIcon, gold, silver, copper)		
		return cash
	end	

	local function OnEvent(self, event)
		if event == "PLAYER_ENTERING_WORLD" then
			OldMoney = GetMoney()
		end
		
		local NewMoney	= GetMoney()
		local Change = NewMoney-OldMoney -- Positive if we gain money
		
		if OldMoney > NewMoney then		-- Lost Money
			Spent = Spent - Change
		else							-- Gained Moeny
			Profit = Profit- Change
		end
		
		if OldMoney == NewMoney then		-- No Change 
			Profit = 0		
			else							-- Gained Moeny
			Profit = Profit + Change			
		end
		
		Text:SetText(formatTextMoney(NewMoney))
		-- Setup Money Tooltip
		self:SetAllPoints(Text)

		local myPlayerRealm = GetRealmName();
		local myPlayerName  = UnitName("player");				


		
	
		Stat:SetScript("OnLeave", function() GameTooltip:Hide() end)
		
		OldMoney = NewMoney
		
	end
	Stat:SetScript("OnMouseDown", function(self,button)
		
			ToggleAllBags()

	end)
	Stat:RegisterEvent("PLAYER_LOGIN")
	Stat:RegisterEvent("PLAYER_MONEY")
	Stat:RegisterEvent("SEND_MAIL_MONEY_CHANGED")
	Stat:RegisterEvent("SEND_MAIL_COD_CHANGED")
	Stat:RegisterEvent("PLAYER_TRADE_MONEY")
	Stat:RegisterEvent("TRADE_MONEY_CHANGED")
	Stat:RegisterEvent("PLAYER_ENTERING_WORLD")
	--Stat:SetScript("OnMouseDown", function() ToggleCharacter("TokenFrame") end)
	Stat:SetScript("OnEvent", OnEvent)
