--[[
##########################################################
Inked!: keivamp
##########################################################
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local addonName, addon = ...
hooksecurefunc(
  "ActionButton_OnEvent",
  function(self, event, ...)
  if Inked.db.char.RangeIndicator == false then return end
    if (event == "PLAYER_TARGET_CHANGED") then
      self.newTimer = self.rangeTimer
    end
  end
)
hooksecurefunc(
  "ActionButton_UpdateUsable",
  function(self)

    local icon = _G[self:GetName() .. "Icon"]
    local valid = IsActionInRange(self.action)
    if (valid == false) then
      icon:SetVertexColor(1.0, 0.1, 0.1,0.65)
    end
  end
)
hooksecurefunc(
  "ActionButton_OnUpdate",
  function(self, elapsed)
  if Inked.db.char.RangeIndicator == false then return end
    local rangeTimer = self.newTimer
    if (rangeTimer) then
      rangeTimer = rangeTimer - elapsed
      if (rangeTimer <= 0) then
        ActionButton_UpdateUsable(self)
        rangeTimer = TOOLTIP_UPDATE_TIME
      end
      self.newTimer = rangeTimer
    end
  end
)