--[[
##########################################################
Inked! by: keivamp
##########################################################
]]--
local Inked = LibStub("AceAddon-3.0"):GetAddon("Inked")
local addon, ns = ... 
local addonName, addon = ...
AutoRep = {};
AutoRep.lastupdate = 0;
AutoRep.lastamount = 0;
local MyRepWidth = 350
local MyRepHeight = 15
local RepPX = -230
local RepPY = -10

local Repframe = CreateFrame("Frame", nil, UIParent)

local MyRepSettingsFrame = CreateFrame("Frame")
local function RepMe()
RepPX = Inked.db.char.RepX
RepPY = Inked.db.char.RepY
MyRepWidth = Inked.db.char.RepW
MyRepHeight = Inked.db.char.RepH
--print(MyXPWidth)
Repframe:SetHeight(MyRepHeight)
Repframe:SetWidth(MyRepWidth)

Repframe:ClearAllPoints()
Repframe:SetPoint("TOP", UIParent, "TOP", RepPX,RepPY)

end	
MyRepSettingsFrame:HookScript("OnUpdate",RepMe) 
--Repframe:SetHeight(MyRepHeight)
--Repframe:SetWidth(MyRepWidth)
--Repframe:SetSize(450, 20)
--Repframe:SetPoint("TOP", UIParent, "TOP", 230,-10)

Repframe:EnableMouse(true)
local function CreateBackdrop(frame)
   frame:SetBackdrop({bgFile = "Interface\\Buttons\\WHITE8x8",
        insets = {top = -2, left = -2, bottom = -2, right = -2}})
		frame:SetBackdropColor(0,0,0,0.75)
		frame:SetBackdropBorderColor(0,0,0,1)
end
Repframe.bar = CreateFrame("StatusBar", nil, Repframe)
Repframe.bar:SetPoint("TOPLEFT",0, 0)
Repframe.bar:SetPoint("TOPRIGHT", 0, 0)

Repframe.bar:SetStatusBarTexture("Interface\\TargetingFrame\\UI-StatusBar")
Repframe.bar:GetStatusBarTexture():SetHorizTile(false)
Repframe.bar:GetStatusBarTexture():SetVertTile(false)
Repframe.bar:SetStatusBarColor(0,.85,0)

	local REPText = Repframe.bar:CreateFontString(nil, "OVERLAY", "SystemFont_Shadow_Huge3")
			REPText:SetPoint("CENTER", 0, 0)
			REPText:SetJustifyH("CENTER")
			
	local REPMaxText = Repframe.bar:CreateFontString(nil, "OVERLAY", "SystemFont_Shadow_Huge3")
			REPMaxText:SetPoint("RIGHT", -2, 0)
			REPMaxText:SetJustifyH("RIGHT")
			
	local RepCurrentText = Repframe.bar:CreateFontString(nil, "OVERLAY", "SystemFont_Shadow_Huge3")
			RepCurrentText:SetPoint("LEFT", 2, 0)
			RepCurrentText:SetJustifyH("LEFT")
			
	local function UpdateRep()
	if Inked.db.char.UseRepBar == false then return end
	Repframe.bar:SetHeight( MyRepHeight-1)
	CreateBackdrop(Repframe)
	REPText:SetFont("Interface\\Addons\\Inked\\Fonts\\Dialog.TTF", MyRepHeight-4, "OUTLINE")
	RepCurrentText:SetFont("Interface\\Addons\\Inked\\Fonts\\Dialog.TTF", MyRepHeight-4, "OUTLINE")
	REPMaxText:SetFont("Interface\\Addons\\Inked\\Fonts\\Dialog.TTF", MyRepHeight-4, "OUTLINE")
	local name, standing, min, max, value, factionID = GetWatchedFactionInfo()
	--value = 3000
	if standing == 1 then
	Repframe.bar:SetStatusBarColor(1,0.1,0.1)
	end
	if standing == 2 then
	Repframe.bar:SetStatusBarColor(1,0.5,0.25)
	end
	if standing == 3 then
	Repframe.bar:SetStatusBarColor(1,0.7,0.3)
	end
	if standing == 4 then
	Repframe.bar:SetStatusBarColor(1,1,0)
	end
	if standing == 5 then
	Repframe.bar:SetStatusBarColor(0.32,0.67,0)
	end
	if standing == 6 then
	Repframe.bar:SetStatusBarColor(0,0.44,1)
	end
	if standing == 7 then
	Repframe.bar:SetStatusBarColor(0.64,0.21,0.93)
	end
	if standing == 8 then
	Repframe.bar:SetStatusBarColor(0.9,0.8,0.5)
	end
	


			--	currentRep = value-min
				MaxRep = max-min
				MinRep = min - min
		
				Repframe.bar:SetMinMaxValues(MinRep, MaxRep)
				Repframe.bar:SetValue(currentRep)

				REPText:SetText(name)
				REPMaxText:SetText(MaxRep)
				RepCurrentText:SetText(currentRep)

	end
	local function OnEvent(self)
		
		local name, standing, min, max, value, factionID = GetWatchedFactionInfo()
		currentRep = value-min
		MaxRep = max-min
		MinRep = min - min
				
		-- Setup
				if name == nil then
					Repframe:Hide()	
				elseif currentRep > 0 then
					Repframe:Show()
				end
				
		self:SetScript("OnEnter", function()
			if Inked.db.char.UseRepBar == false then return end
			
			GameTooltip:SetOwner(self, "ANCHOR_BOTTOM", 0, -10)
			GameTooltip:ClearAllPoints()
			GameTooltip:SetPoint("BOTTOM", self, "TOP", 0, 1)
			GameTooltip:ClearLines()
			GameTooltip:AddDoubleLine(name)
			GameTooltip:AddLine(" ")
			local myStanding = "" 
			if standing == 1 then
				myStanding = "Hated"
			end
			if standing == 2 then
				myStanding = "Hostile"
			end
			if standing == 3 then
				myStanding = "Unfriendly"
			end
			if standing == 4 then
				myStanding = "Nuetral"
			end
			if standing == 5 then
				myStanding = "Friendly"
			end
			if standing == 6 then
				myStanding = "Honored"
			end
			if standing == 7 then
				myStanding = "Revered"
			end
			if standing == 8 then
				myStanding = "Exalted"
			end
		


				
				GameTooltip:AddDoubleLine(myStanding)
				GameTooltip:AddLine(" ")
				GameTooltip:AddDoubleLine(currentRep .." / " .. MaxRep)
		

			GameTooltip:Show()
		end)
		
		self:SetScript("OnLeave", function() GameTooltip:Hide() end)
		end
	
	
		Repframe:SetScript("OnMouseDown", function(self, button)
		if button == "RightButton" then
			
			self:GetScript("OnEnter")(self)
		else
			ToggleCharacter("ReputationFrame")
		end
	end)
	
Repframe:SetScript("OnEvent", OnEvent)
Repframe:HookScript("OnUpdate", UpdateRep)
Repframe:RegisterEvent("UPDATE_FACTION")

function AutoRep.OnEvent(_, event, arg1)
	if(event == "COMBAT_TEXT_UPDATE" and arg1 == "FACTION") then
	if Inked.db.char.UseAutoRep == false then return end
			local faction, amount = GetCurrentCombatTextEventInfo()

			if (faction ~= "Guild") then
				if (amount > AutoRep.lastamount) or (time() > AutoRep.lastupdate) then
					for i=1,GetNumFactions() do
						if faction == GetFactionInfo(i) then
						
							SetWatchedFactionIndex(i);
						end
					end
				end
				AutoRep.lastamount = amount;
				AutoRep.lastupdate = time();
			end
		
	end
end

AutoRep.frame = CreateFrame("Frame", nil, UIParent);
AutoRep.frame:RegisterEvent("COMBAT_TEXT_UPDATE");
AutoRep.frame:SetScript("OnEvent", AutoRep.OnEvent);